Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.export.jpeg
Class JPEGFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          info.bioinfweb.treegraph.document.io.AbstractFilter
              info.bioinfweb.treegraph.graphics.export.GraphicFilter
                  info.bioinfweb.treegraph.graphics.export.jpeg.JPEGFilter

All Implemented Interfaces:
  DocumentFilter, java.io.FileFilter

    public class JPEGFilter

extends GraphicFilter

Field Summary
`static java.lang.String` | `ALTERNATIVE_EXTENSION_1`
`static java.lang.String` | `ALTERNATIVE_EXTENSION_2`
`static java.lang.String` | `EXTENSION`

Constructor Summary
`JPEGFilter()`

Method Summary
`java.lang.String` | `getDefaultExtension()`
`java.lang.String` | `getDescription()`
`GraphicFormat` | `getFormat()`
`boolean` | `validExtension(java.lang.String name)`

Methods inherited from class info.bioinfweb.treegraph.document.io.AbstractFilter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTENSION

    public static final java.lang.String EXTENSION

See Also:
  Constant Field Values

### ALTERNATIVE_EXTENSION_1

    public static final java.lang.String ALTERNATIVE_EXTENSION_1

See Also:
  Constant Field Values

### ALTERNATIVE_EXTENSION_2

    public static final java.lang.String ALTERNATIVE_EXTENSION_2

See Also:
  Constant Field Values

Constructor Detail

### JPEGFilter

    public JPEGFilter()

Method Detail

### validExtension

    public boolean validExtension(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `DocumentFilter`
  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`

### getDefaultExtension

    public java.lang.String getDefaultExtension()

### getFormat

    public GraphicFormat getFormat()

  Specified by:
    `getFormat` in class `GraphicFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD